#version 110

uniform sampler2D tex;
uniform float pixelWidth, pixelHeight, blurScale;
uniform float scopeRadiusSquared;
uniform vec2 scopePosition;
 
void main(void) {
	float x = gl_TexCoord[0].x, y = gl_TexCoord[0].y;
	
	float xd = (x - scopePosition.x) / pixelWidth;
	float yd = (y - scopePosition.y) / pixelHeight;
	if (xd*xd + yd*yd > scopeRadiusSquared ) {
		vec4 sum = vec4(0.0);
		
		sum += texture2D(tex, vec2(x - 4.0 * pixelWidth * blurScale, y)) * 0.01;
		sum += texture2D(tex, vec2(x - 3.0 * pixelWidth * blurScale, y)) * 0.05;
		sum += texture2D(tex, vec2(x - 2.0 * pixelWidth * blurScale, y)) * 0.12;
		sum += texture2D(tex, vec2(x -       pixelWidth * blurScale, y)) * 0.20;
		sum += texture2D(tex, vec2(x                               , y)) * 0.24;
		sum += texture2D(tex, vec2(x +       pixelWidth * blurScale, y)) * 0.20;
		sum += texture2D(tex, vec2(x + 2.0 * pixelWidth * blurScale, y)) * 0.12;
		sum += texture2D(tex, vec2(x + 3.0 * pixelWidth * blurScale, y)) * 0.05;
		sum += texture2D(tex, vec2(x + 4.0 * pixelWidth * blurScale, y)) * 0.01;
		
		gl_FragColor = sum;
	} else 
		gl_FragColor = texture2D(tex, gl_TexCoord[0].xy);
}
