#version 110

const vec3 coeff = vec3(0.299, 0.587, 0.114);

uniform sampler2D tex;
uniform float pixelWidth, pixelHeight, scopeRadiusSquared;
uniform vec2 scopePosition;

void main() {
	gl_FragColor = texture2D(tex, gl_TexCoord[0].xy);

	float xd = (gl_TexCoord[0].x - scopePosition.x) / pixelWidth;
	float yd = (gl_TexCoord[0].y - scopePosition.y) / pixelHeight;
	if (xd*xd + yd*yd > scopeRadiusSquared) {
		float sat = 0.4 + clamp(gl_FragColor.r / (gl_FragColor.g + gl_FragColor.b) / 3, 0.0, 1.0) * 0.6;
		gl_FragColor.rgb = mix(vec3(dot(gl_FragColor.rgb, coeff)), gl_FragColor.rgb, sat);
	}
}